Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGConstants

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGConstants

public final class JPEGConstants extends Object
Constants necessary to encode and decode JPEG streams.

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BLOCK_EDGE_LENGTH`
Length of sample block edge, in samples (8).
`static final int`
`JFIF_SIGNATURE`
16 bit value that denotes the beginning of a JPEG stream (0xffd8).
`static final int`
`MARKER_DHT`
DHT (define Huffman table) marker ID value.
`static final int`
`MARKER_DQT`
DQT (define quantization table) marker ID value.
`static final int`
`MARKER_SOF0`
SOF0 (start of frame, type 0) marker ID value.
`static final int`
`MARKER_SOF1`
SOF1 (start of frame, type 1) marker ID value.
`static final int`
`MARKER_SOF2`
SOF2 (start of frame, type 2) marker ID value.
`static final int`
`MARKER_SOF3`
SOF3 (start of frame, type 3) marker ID value.
`static final int`
`MARKER_SOF5`
SOF5 (start of frame, type 5) marker ID value.
`static final int`
`MARKER_SOF6`
SOF6 (start of frame, type 6) marker ID value.
`static final int`
`MARKER_SOF7`
SOF7 (start of frame, type 7) marker ID value.
`static final int`
`MARKER_SOF9`
SOF9 (start of frame, type 9) marker ID value.
`static final int`
`MARKER_SOFA`
SOFa (start of frame, type a) marker ID value.
`static final int`
`MARKER_SOFB`
SOFb (start of frame, type b) marker ID value.
`static final int`
`MARKER_SOFD`
SOFd (start of frame, type d) marker ID value.
`static final int`
`MARKER_SOFE`
SOFe (start of frame, type e) marker ID value.
`static final int`
`MARKER_SOFF`
SOFf (start of frame, type f) marker ID value.
`static final int`
`MARKER_SOS`
SOS (start of scan) marker ID value.
`static final int`
`MAX_HUFFMAN_CODE_LENGTH`
Maximum length of a Huffman code in bit (16).
`static final int`
`SAMPLES_PER_BLOCK`
Number of samples in a block of samples (64).

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`JPEGConstants()`
Empty private constructor to prevent instantiation of this class.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BLOCK_EDGE_LENGTH

public static final int BLOCK_EDGE_LENGTH
Length of sample block edge, in samples (8).

See Also:
  - Constant Field Values

### JFIF_SIGNATURE

public static final int JFIF_SIGNATURE
16 bit value that denotes the beginning of a JPEG stream (0xffd8).

See Also:
  - Constant Field Values

### MARKER_DHT

public static final int MARKER_DHT
DHT (define Huffman table) marker ID value.

See Also:
  - Constant Field Values

### MARKER_DQT

public static final int MARKER_DQT
DQT (define quantization table) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF0

public static final int MARKER_SOF0
SOF0 (start of frame, type 0) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF1

public static final int MARKER_SOF1
SOF1 (start of frame, type 1) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF2

public static final int MARKER_SOF2
SOF2 (start of frame, type 2) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF3

public static final int MARKER_SOF3
SOF3 (start of frame, type 3) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF5

public static final int MARKER_SOF5
SOF5 (start of frame, type 5) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF6

public static final int MARKER_SOF6
SOF6 (start of frame, type 6) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF7

public static final int MARKER_SOF7
SOF7 (start of frame, type 7) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOF9

public static final int MARKER_SOF9
SOF9 (start of frame, type 9) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOFA

public static final int MARKER_SOFA
SOFa (start of frame, type a) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOFB

public static final int MARKER_SOFB
SOFb (start of frame, type b) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOFD

public static final int MARKER_SOFD
SOFd (start of frame, type d) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOFE

public static final int MARKER_SOFE
SOFe (start of frame, type e) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOFF

public static final int MARKER_SOFF
SOFf (start of frame, type f) marker ID value.

See Also:
  - Constant Field Values

### MARKER_SOS

public static final int MARKER_SOS
SOS (start of scan) marker ID value.

See Also:
  - Constant Field Values

### MAX_HUFFMAN_CODE_LENGTH

public static final int MAX_HUFFMAN_CODE_LENGTH
Maximum length of a Huffman code in bit (16).

See Also:
  - Constant Field Values

### SAMPLES_PER_BLOCK

public static final int SAMPLES_PER_BLOCK
Number of samples in a block of samples (64).

See Also:
  - Constant Field Values

## Constructor Details

### JPEGConstants

private JPEGConstants()
Empty private constructor to prevent instantiation of this class.